.visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;

    white-space: nowrap;
    clip-path: inset(100%);
    clip: rect(0 0 0 0);
    overflow: hidden;   /* 넘치는 내용 숨김 */
    text-overflow: ellipsis;    /* 말줄임표 처리 */
}

.italic-text {
    font-style: italic;
}

a {
    text-decoration: none;  /* 밑줄 제거 */
    color: inherit; /* 링크 색상을 기본 글자색으로 변경 */
}

a:hover {
    text-decoration: none;  /* 마우스를 올렸을 때도 밑줄 숨김 */
}

main {
    display: flex;
    width: 100%;
    align-items: flex-start;  /* 교차축의 시작점에 맞추기 */
    gap: 32px;
    margin: 0 auto;
    padding: 64px 0;
}

aside {
    max-width: 128px;   /* 최대 영역 크기 */
    flex: 1;    /* 최대 20% 차지 */
    background: #020202;
    padding: 16px;
    border-radius: 0 8px 8px 0;
}

.fade-in-down {
    /* 애니메이션 적용*/
    animation: fadeInDown 1s ease-out forwards;

    /* 초기 상태 설정 */
    opacity: 0;
    transform: translateY(-20px);
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        transform: translateY(-20px);   /* 시작 위치는 위쪽 */
    }
    100% {
        opacity: 1;
        transform: transalteY(0);   /* 끝 위치는 원래 위치 */
    }
}

#menu-bar {
    display: none;
}

.menu-button {
    display: none;
}

ul {
    list-style: none;   /* 마커 제거 */
    padding: 0; /* 왼쪽 여백(들여쓰기) 제거 */
    margin: 0;  /* 상하 여백 제거 */
}

article {
    flex: 1;    /* 남은 공간 모두 차지 */
    background: #020202;
    margin-bottom: 16px;
    padding: 24px;
    border-radius: 8px 0 0 8px;
}

.content-wrapper {
    flex: 1;
    min-width: 0;
    max-width: 100%;
    display: flex;
    flex-direction: column;
    gap: 32px;
}

@media(max-width: 40rem) {
    main {
        width: auto;
        flex-direction: column; /* 수직 정렬 */
        align-items: center;
        padding: 24px;
    }
    
    aside {
        display: none;
    }

    article {
        width: 100%;
        box-sizing: border-box; /* 패딩이 너비에 포함되게 하여 스크롤 방지 */
        margin-right: 0;
        border-radius: 8px;
    }

    .content-wrapper {
        width: 100%;
    }

    #menu-bar {
        display: block;
        background-color: #020202;
        margin: 0 24px 16px 24px;
        padding: 24px;
        border-radius: 8px;
    }

    .menu-button {
        width: 30px;
        height: 24px;
        margin: 32px;
        padding: 8px;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        cursor: pointer;
    }

    .menu-button:hover span {
        background-color: #ffad15;
        transition: all 0.2s;   /* 부드러운 전환 효과 */
    }

    .menu-button span {
        width: 100%;
        height: 4px;
        background-color: white;
        border-radius: 2px;
        transition: all 0.2s;   /* 부드러운 전환 효과 */
    }
}

hr {
    margin: 20px 0; /* 위아래 간격 */
    border: 0;
    height: 1px;
    background: white;
}

footer {
    width: 800px;
    display: flex;
    justify-content: space-between; /* 요소들 사이의 간격을 동일하게 설정 */
    align-items: center;    /* 수직 방향 가운데 정렬 */
    flex-wrap: wrap;    /* 화면이 좁아지면 아래로 내림 */
    margin: 0 auto; /* 중앙 정렬 */
    padding: 16px;
}